### Method

# ECal Client get_free_busy

since: 3.2

#### Declaration [src]

    void
    e_cal_client_get_free_busy (
      ECalClient* client,
      time_t start,
      time_t end,
      const GSList* users,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Begins retrieval of free/busy information from the calendar server as a list of `ECalComponent`-s. Connect to “free-busy-data” signal to receive chunks of free/busy components. The call is finished by `e_cal_client_get_free_busy_finish()` from the `callback`.

Available since: 3.2

This method completes asynchronously. Use `e_cal_client_get_free_busy_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`start`

  Type: `time_t`

  Start time for query.

`end`

  Type: `time_t`

  End time for query.

`users`

  Type: A list of `utf8`

  List of users to retrieve free/busy information for.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.